Name: oxygen-gtk
Summary: A port of the default KDE widget theme (Oxygen) to gtk
Version: 1.1.0
Release: %mkrel 1
Source0: http://fr2.rpmfind.net/linux/KDE/stable/oxygen-gtk/%{version}/src/%{name}-%{version}.tar.bz2
URL: https://projects.kde.org/projects/playground/artwork/oxygen-gtk
Group: Graphical desktop/KDE
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License: LGPLv2+
BuildRequires: gtk+2-devel
BuildRequires: cmake
%if %{mdvver} < 201100
Suggests: systemsettings-qt-gtk
%else
Suggests: gtk-qt-kcm
%endif

%description
Oxygen-Gtk is a port of the default KDE widget theme (Oxygen), to gtk.

It's primary goal is to ensure visual consistency between gtk and qt-based
applications running under kde. A secondary objective is to also have a
stand-alone nice looking gtk theme that would behave well on other Desktop
Environments.

Unlike other attempts made to port the kde oxygen theme to gtk, this attempt
does not depend on Qt (via some Qt to Gtk conversion engine), nor does render
the widget appearance via hard coded pixmaps, which otherwise breaks everytime
some setting is changed in kde.

%prep
%setup -q -n %{name}-%{version}

%build
%cmake
%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/gtk-2.0/2.10.0/engines/liboxygen-gtk.so
%{_datadir}/themes/oxygen-gtk


%changelog
* Thu Jun 16 2011 Funda Wang <fwang@mandriva.org> 1.1.0-1mdv2011.0
+ Revision: 685466
- new version 1.1.0

* Thu May 12 2011 Funda Wang <fwang@mandriva.org> 1.0.5-1
+ Revision: 673882
- update to new version 1.0.5
- update to new version 1.0.4

* Wed Mar 16 2011 Stéphane Téletchéa <steletch@mandriva.org> 1.0.3-1
+ Revision: 645372
- update to new version 1.0.3

* Sat Feb 12 2011 Funda Wang <fwang@mandriva.org> 1.0.2-1
+ Revision: 637381
- New version 1.0.2

* Fri Jan 14 2011 Funda Wang <fwang@mandriva.org> 1.0.1-1
+ Revision: 631031
- new version 1.0.1 final

  + Ahmad Samir <ahmadsamir@mandriva.org>
    - suggest systemsettings-qt-gtk for older stable distros

* Tue Dec 28 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1.0.1-0.git210101224.1mdv2011.0
+ Revision: 625492
- use the git branch 1.0 (not trunk)
- push a new git snapshot
- change group to Graphical desktop/KDE
- suggest gtk-qt-kcm to offer users an easy way to change GTK2+ themes under kde;
  gtk-qt-kcm offers a configuration module in systemsettings> "Application Appearance".

* Mon Dec 13 2010 Funda Wang <fwang@mandriva.org> 1.0.0-1mdv2011.0
+ Revision: 620623
- import oxygen-gtk

